<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
class fournisseurAdmin extends controller
{
    protected $model;
    protected $controller = 'fournisseurAdmin';
    protected $smaty;

    public function __construct()
    {
        $this->smarty = $GLOBALS['smarty'];

        require_once IF_ROOT_PATH . 'model'. DS . 'fournisseurAdmin.php';
        $this->model = new fournisseurAdminModel();

        $this->getData();
    }

    public function index()
    {
        return $this->smarty->fetch('fournisseurAdmin_index.tpl');
    }

    public function index_auth()
    {
        getUserSelect();
	return $GLOBALS['smarty']->fetch('fournisseurAdmin_index_auth.tpl');
    }

    public function ajaxShowAuth()
    {
            // Recuperation des droits
            $authForUser = $this->model->getAuthByUser($this->data['utilisateur_id'], 'fournisseur');

            // verification que les droits on bien ete recuperer. Sinon on force une mise  jour de ceci et nous les recuperons de nouveau
            if(!$authForUser):
                    $this->model->UpdateAuthByUser($this->data['utilisateur_id'], 'fournisseur');
                    $authForUser = $this->model->getAuthByUser($this->data['utilisateur_id'],'fournisseur');
            endif;

            // Envoie des auth au template
            $GLOBALS['smarty']->assign('auth', $authForUser);

            // Affichage du template
    return $GLOBALS['smarty']->fetch('Ajax_fournisseurAdmin_ShowAuth.tpl');
    }

    public function authUpdate()
    {
        $table = 'fournisseur';

        $GLOBALS['session']->checkCsrfPost();

            if( !isset($this->data['sendAuth']) )
                    redirect($GLOBALS['setting']['url_site'] . 'index.php?c='. $this->controller .'&a=index_auth',0);

            // Collecte des donnes
            $data = array();

            if( !isset($this->data['voir']) )
                    $data['voir'] = 0;
            else
                    $data['voir'] = 1;

            if( !isset($this->data['ajout']) )
                    $data['ajout'] = 0;
            else
                    $data['ajout'] = 1;

            if( !isset($this->data['del']) )
                    $data['del'] = 0;
            else
                    $data['del'] = 1;

            if( !isset($this->data['modif']) )
                    $data['modif'] = 0;
            else
                    $data['modif'] = 1;

            $data['id'] = $this->data['id'];
            $data['user_id'] = $this->data['user_id'];

            // Envoie des donnes dans la base
            if( $this->model->updateAuth($data, $table) )
                return redirect($GLOBALS['setting']['url_site'] . 'index.php?c='. $this->controller .'&a=index_auth', 3, $GLOBALS['lang']['Droit_mise_a_jour']);
            else
                return redirect($GLOBALS['setting']['url_site'] . 'index.php?c='. $this->controller .'&a=index_auth', 3, $GLOBALS['lang']['Erreur_mise_a_jour_droit'].'|warning');
    }

    public function index_categorie()
    {
        $this->smarty->assign(array(
           'categories' => $this->model->getCategories(),
           'controller'    =>  $this->controller,
        ));
        return $this->smarty->fetch('fournisseurAdmin_index_categorie.tpl');
    }

    public function categorie_ajout()
    {
        $this->smarty->assign('controller', $this->controller);
         return $this->smarty->fetch('fournisseurAdmin_categorie_ajout.tpl');
    }

    public function categorie_edit()
    {
        $this->smarty->assign('controller', $this->controller);
        $this->smarty->assign('categorie', $this->model->getCategorie($this->data['categorie_id']));
         return $this->smarty->fetch('fournisseurAdmin_categorie_edit.tpl');
    }

    public function categorie_send()
    {
        $GLOBALS['session']->checkCsrfPost();

        $categorie = $this->data['categorie'];

        if($categorie['nom'] == '') redirect(URL_SITE . 'index.php?c=fournisseurAdmin');

        if( isset($this->data['categorie_add']) )
        {
            $this->model->add($categorie, PREFIX . 'fournisseur_categorie');
            return redirect(URL_SITE . 'index.php?c=fournisseurAdmin&a=index_categorie', 3, $GLOBALS['lang']['Categorie_ajoutee']);
        }

        if( isset($this->data['categorie_edit']) )
        {
            $this->model->update($categorie, PREFIX . 'fournisseur_categorie');
            return redirect(URL_SITE . 'index.php?c=fournisseurAdmin&a=index_categorie', 3, $GLOBALS['lang']['Categorie_modifiee']);
        }

    }

    public function categorie_delete()
    {
        $GLOBALS['session']->checkCsrfGet();

        $this->model->delete($this->data['categorie_id'],PREFIX .'fournisseur_categorie');

        return redirect(URL_SITE . 'index.php?c=fournisseurAdmin&a=index_categorie', 3, $GLOBALS['lang']['Categorie_supprimee']);
    }
}
?>
