<?php

require_once IF_ROOT_PATH . 'model' . DS . 'login.php';

class login extends controller
{
    public $model;
    
    public function __construct()
    {
        $this->getData();
        $this->model = new loginModel;
    }
    
    public function index()
    {
        return $GLOBALS['smarty']->fetch('login_index.tpl');
        
    }
	/**
	*	@desc Deconnecte l utilisateur
	* */
	public function logout()
	{
		session_destroy();
		
		$req = $GLOBALS['db']->prepare("DELETE FROM ". PREFIX ."session WHERE utilisateur_id = :user_id AND id = :session_id ");
        $req->bindParam('user_id', $_SESSION['utilisateur_id'], PDO::PARAM_INT);
        $req->bindParam('session_id', $_SESSION['session_id'], PDO::PARAM_STR);
        $req->execute();
		
		return redirect($GLOBALS['setting']['url_site'] . 'index.php?c=login',3, $GLOBALS['lang']['Deconnexion_effectuee']);
	}
    
    public function ident()
    {
        // Verification du captcha
        if( !$this->model->checkCaptcha($this->data) )
        {
            redirect($GLOBALS['setting']['url_site'].'index.php?c=login',0);
            exit;
        }
        
        // Verification que l'on arrive bien du formulaire
        if( isset($this->data['identification']) ):
        
            // Verification des information envoyer
            if( !$this->model->checkSubmit($this->data) ):
                redirect($GLOBALS['setting']['url_site'] .'index.php?c=login&error=submit_data');
            endif;

            if( $this->model->ident($this->data) ):
                redirect($GLOBALS['setting']['url_site'] .'index.php');
            else:
                redirect($GLOBALS['setting']['url_site'] .'index.php?c=login&error=ident');
            endif;

        else:
            redirect($GLOBALS['setting']['url_site'] .'index.php?c=login&error_submit');
        endif;
    }
}