<?php
class tache extends controller
{
	protected $model;
	protected $tache;
	
    public function __construct()
    {
        require_once IF_ROOT_PATH . 'model' . DS . 'tache.php';
        
        $this->model = new tacheModel();
		
		$this->getData();
		
				
		if( isset($this->data['tache_id']) )
			$this->tache = $this->model->getById($this->data['tache_id']);
    }
    
    /**
     * Affiche la liste des rappel
     * @return retourne le code HTML de la page
     * */
    public function index()
    {
        $GLOBALS['smarty']->assign('rappels', $this->model->getAll());
        return $GLOBALS['smarty']->fetch('tache_index.tpl');
    }
	
	public function delete()
	{
		$GLOBALS['session']->checkCsrfGet();
		
		if($this->tache['user_id'] != $_SESSION['utilisateur_id'])
			redirect(URL_SITE);
		
		$this->model->delete($this->data['tache_id'], PREFIX . 'tache');
		
		return redirect(URL_SITE.'index.php?c=tache',3,$GLOBALS['lang']['Tache_supprimee']);
	}
	
	public function make()
	{
		$GLOBALS['session']->checkCsrfGet();
		
		if($this->tache['user_id'] != $_SESSION['utilisateur_id'])
			redirect(URL_SITE);
		
		$this->model->make($this->data['tache_id']);
		
		return redirect(URL_SITE.'index.php?c=tache',3,$GLOBALS['lang']['Tache_effectuee']);
	}
}
?>