<?php
class controller
{
    protected $data;
    protected $smarty;
    protected $offset;


    public function __construct()
    {
        $this->smarty = $GLOBALS['smarty'];
        $this->getData();
    }
	
	public function preference_send()
	{
		$GLOBALS['session']->checkCsrfPost();
		
		// Verification admin
		if($_SESSION['utilisateur']['admin'] != 1)
			exit;
			
		// Verification formulaire appel
		if( !isset($this->data['send']) )
			exit;
			
		//Enregistrement
		$this->saveConfig($this->data['config']);
		
		return redirect($GLOBALS['setting']['url_site'] . 'index.php?c='. $_GET['c'] .'',3,$GLOBALS['lang']['Preferences_sauvegardee']);
	}
    
    public function getPagination($param)
    {
        require_once IF_ROOT_PATH .'lib'. DS .'PEAR'. DS .'Pager.php';

        $pager_option = array(
        'mode'  =>  'Sliding',
        'perPage'   =>  $param['perPage'],
        'append' => false,
        'delta' =>  2,
        'urlVar' =>  'page',
        'fileName'  =>  $param['fileName'],
        //'fileName'  =>  $paramUrl == '' ? 'annonce.php?page=%d' : 'annonce.php?' . ConstructParamUrl($UrlArray) .'&page=%d',
        'totalItems'    =>  $param['totalItems'] );

        $pager = & Pager::factory($pager_option);
        $links = $pager->getLinks();

        return $links['all'];
    }
    /**
     *
     * @param <array> $param total nb_affiche controller
     * @return <type>
     */
    public function getPagination2($param)
    {
         // Nombre de page
       $nb_page = ceil($param['total']/$param['nb_affiche']);

       /* Rcupration du numro de la page courante depuis l'URL avec la mthode GET */
        if(!isset($_GET['p']) || !is_numeric($_GET['p']) ) // si $_GET['p'] n'existe pas OU $_GET['p'] n'est pas un nombre (petite scurit supplmentaire)
            $current_page = 1; // la page courante devient 1
        else
        {
            $page = intval($_GET['p']);                 // stockage de la valeur entire uniquement
            if ($page < 1) $current=1;                        // cas o le numro de page est infrieure 1 : on affecte 1  la page courante
            elseif ($page > $nb_page) $current_page=$nb_page;   //cas o le numro de page est suprieur au nombre total de pages : on affecte le numro de la dernire page  la page courante
            else $current_page=$page;                         // sinon la page courante est bien celle indique dans l'URL
        }

       // Calcul du OFFSET pour la requete
       $this->offset = ($current_page * $param['nb_affiche'] - $param['nb_affiche']);

       // Inclusion fichier pour l affichage
       require_once IF_ROOT_PATH . 'lib'. DS .'pagination.php';

       return  paginate(URL_SITE . 'index.php?c='. $param['controller'], '&p=', $nb_page, $current_page);
    }

    /**
     * Retourne le nombre de nombre d enregistrement dans la base de donnes
     *
     * @param <type> $table avec le PREFIX
     * @param <type> $paramQuery
     */
    public function getNumberRow($table, $paramQuery)
    {
        $q = $GLOBALS['db']->query("SELECT COUNT(id) FROM ". $table . $paramQuery);
        $rows = $q->fetchColumn();
        $q->closeCursor();

        return $rows;

    }

    /**
     * Recuperer les donnes passer par formulaire et url
     */
    public function getData($secure = false)
    {
        $this->data = $_REQUEST;

        if($secure):
            foreach($this->data as $key => $value):
                $this->data[''. $key .''] = addslashes($value);
            endforeach;
        endif;

    }
	
	public function saveConfig($data)
	{
            if( !is_array($data) ) return false;
			
            $req = $GLOBALS['db']->prepare("UPDATE ". PREFIX ."config SET valeur = :valeur WHERE nom = :nom");

            foreach($data as $key => $value):
                $GLOBALS['db']->exec("UPDATE ". PREFIX ."config SET valeur = '". $value ."' WHERE nom = '". $key ."'");
            endforeach;

            return true;
	}
	
    /**
     * @desc Recuperer les droits de la table passer en parametre
     * @param mixed nom de la table doit etre passer dans le PREFIX
     * @return array contient les droits
     * */
	public function getAuth($table)
	{
		// Test si auth definie
        if( controller::getNumberRow(PREFIX . $table, " WHERE user_id = ". $_SESSION['utilisateur_id'] ." ") == 0 )
        {
            $GLOBALS['db']->exec("INSERT INTO ". PREFIX . $table ." (user_id) VALUES (". $_SESSION['utilisateur_id'] .")");
        }
        
        // Recuperation des droits.        
        $req = $GLOBALS['db']->prepare("SELECT * FROM ". PREFIX . $table . " WHERE user_id = :user LIMIT 1");
        $req->bindParam('user', $_SESSION['utilisateur_id'], PDO::PARAM_INT);
        $req->execute();
        $res = $req->fetch();
        $req->closeCursor();
        return $res;
	}
    
    public function tache_add()
    {
        $GLOBALS['smarty']->assign('controller', $_GET['controller']);
        $GLOBALS['smarty']->assign('controller_id', $_GET['controller_id']);
        return $GLOBALS['smarty']->fetch('afaire_add.tpl');
    }
    
    public function tache_save()
    {
        $rappel = $_REQUEST['rappel'];
        $this->model->add($rappel, PREFIX . 'tache');
        return $GLOBALS['smarty']->fetch('afaire_save.tpl');
    }
}