<?php
function get_currentpage()
{
    $path = $_SERVER['PHP_SELF'];
    $file = basename ($path);
    return $file;
}

function redirect($url, $tps = 0, $message = '')
{
    $temps = $tps * 1000;
    
    if($message != '')
    {
        
        $r = explode('|',$message);
        $text = $r[0];
        
        if( isset($r[1]) )
        {
            $affichage = $r[1];
        }
        else
        {
            $affichage = 'success';
        }
        $GLOBALS['smarty']->assign('error_class', 'error_' . $affichage);
        $GLOBALS['smarty']->assign('error_image', 'comment_' . $affichage);
        $GLOBALS['smarty']->assign('message', $text);
        $GLOBALS['smarty']->assign('url', $url);
        $GLOBALS['smarty']->assign('temp', $temps);
        return $GLOBALS['smarty']->fetch('redirect.tpl');
    }
    else
    {
    
    echo "<script type=\"text/javascript\">\n"
    . "<!--\n"
    . "\n"
    . "function redirect() {\n"
    . "window.location='" . $url . "'\n"
    . "}\n"
    . "setTimeout('redirect()','" . $temps ."');\n"
    . "\n"
    . "// -->\n"
    . "</script>\n";
    exit;
    }    
   
}

function get_ckeditor($name, $contenue, $interface = '', $print = false)
{
    require_once IMMOPHP_ROOT_PATH . 'lib'. DS .'ckeditor'. DS .'ckeditor.php';

    $basePath = $GLOBALS['setting']['url_site'] .'lib/ckeditor/';

    if($interface != '')
    {
        $config['toolbar'] = array(
	array( 'Source', '-', 'Bold', 'Italic', 'Underline', 'Strike' ),
	array( 'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'),
	array('TextColor')
	);
    }
    else
       $config = '';


    $CKEditor = new CKEditor();    //Appel de la class
    $CKEditor->returnOutput = true; // empeche l affichage directe
    $CKEditor->basePath = $basePath;
    $CKEditor->config['width'] = 600;  // Definition de la largeur
    $CKEditor->textareaAttributes = array("cols" => 80, "rows" => 10);
    $code = $CKEditor->editor($name, $contenue, $config);  // Generation du code

    // Affichage de la zone si demander
    if($print == true)
	echo $code;
    else
	return $code;
}

function getFileInDir($dirname)
{
	if( !is_dir($dirname) )
		return false;

	$dir = opendir($dirname); 
	
	$files = array();

	while($file = readdir($dir)) 
	{
		if($file != '.' && $file != '..' && !is_dir($dirname.$file) && $file != ' ')
		{
			$files[] = $file;
		}
	}
	closedir($dir);
	
	return $files;
}

function getConfig()
{
	$req = $GLOBALS['db']->prepare("SELECT nom, valeur FROM ". PREFIX ."config");
	$req->execute();
	$result = $req->fetchAll();
	
	foreach($result as $setting)
	{
		$GLOBALS['setting'][''. $setting['nom'] .''] = $setting['valeur'];
	}
}

/**
*	Retourne l adresse ip de la personne qui appel la page
*	fonction disponible sur le site du zero
* */
function get_ip() {
	if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	else
			$ip = $_SERVER['REMOTE_ADDR'];
	return $ip;
}

function constructRecusive($parent,$niveau,$array, $param = '')
{
    $result = array();

    foreach($array AS $noeud)
    {
        if( is_array($param) && $noeud['parent_id'] != 0)
            $noeud['parent_nom'] = $param['nom_parent'];
        
        if($parent == $noeud['parent_id'])
        {
            $result[] = $noeud;
            $result = array_merge($result, constructRecusive($noeud['id'], ($niveau + 1), $array, array('nom_parent' => $noeud['nom'])));
        }        
    }
    return $result;
}
?>