<?php
function getClientCategorie()
{
   // Recuperation dans la base 
   $req = $GLOBALS['db']->prepare(" SELECT id, titre, description FROM ". PREFIX ."client_categorie ORDER BY titre");
   $req->execute();
   return $req->fetchAll();   
}

function getChampSup($formulaire, $data = '')
{
    // Recuperation des champs dans la base
    $req = $GLOBALS['db']->prepare(" SELECT * FROM ". PREFIX ."formulaire_champ WHERE formulaire_name = :formulaire");
    $req->bindParam('formulaire', $formulaire);
    $req->execute();
    
    // Recuperation des champ dans la var $res
    $res = $req->fetchAll();
    
    // Inclusion de la class
    require_once IF_ROOT_PATH . 'core'. DS .'form'. DS .'class.Formulaire.php';
    
    // Declaration du formulaire
    $form = new formulaire(false,'','',true,'','class="tcontenu"', 'class="tcontenu"', $data);
    
    //Traitement des champs
    foreach($res as $champ)
    {
        if( isset($data[''. $champ['name_in_form'] .'']) && $data[''. $champ['name_in_form'] .''] != '' )
            $champ['value'] = $data[''. $champ['name_in_form'] .''];
            
        $form->newChamp($champ);
    }
    
    return $form->form_HTML;
}

function getUserSelect()
{
    $req = $GLOBALS['db']->prepare("SELECT id, identifiant, nom, prenom FROM ". PREFIX ."utilisateur ORDER BY nom,prenom,identifiant");
    $req->execute();
    $GLOBALS['smarty']->assign('utilisateurs', $req->fetchAll());
}

function getClientSelect()
{
	$req = $GLOBALS['db']->prepare("SELECT id, nom, prenom, societe FROM ". PREFIX ."client ORDER BY nom,prenom,societe");
	$req->execute();
	$GLOBALS['smarty']->assign('clients', $req->fetchAll());
}

function cryptPass($mdp)
{
	return sha1($mdp);
}
/**
*	@desc Retour l'identifiant de l'utilisateur
*	@user_id integer : Identifiant de l'utilisateur
*	@return char : Identifiant
* */
function getIdentifiantById($user_id)
{
	$req = $GLOBALS['db']->prepare("SELECT identifiant FROM ". PREFIX ."utilisateur WHERE id = :user_id LIMIT 1");
	$req->bindParam('user_id', $user_id, PDO::PARAM_INT);
	$req->execute();
	$r = $req->fetch();
	$req->closeCursor();
	return $r['identifiant'];
	
}

function getAlerteNotRead()
{
    $nb_alerte = model::getNumberRow(PREFIX . 'alerte', " WHERE user_id = '". $_SESSION['utilisateur_id'] . "' AND lu = '0'  ");
    if( $nb_alerte  > 0)
    {
        $GLOBALS['smarty']->assign(array(
            'printAlerte'   =>  true,
            'message_alerte'    => sprintf($GLOBALS['lang']['Vous_avez_alerte_non_lus'], $nb_alerte),
        ));
    }

}