<?php

function connexion($basesql)
{
	try
	{
		$pdo = new PDO('mysql:host='. $basesql['serveur'] .';dbname='.$basesql['base'].'', $basesql['user'], $basesql['password']);
	}
	
	catch(Exception $e)
	{
		echo '
		<span id="errorh"></span>
			<div id="error_msg">
			<div class="error_fatal" style="width:500px;margin:auto;padding:15px;">
				<img src="images/alert_icon_24.png" alt="" style="float:left;padding-right:6px;" /> 
				Erreur : '.$e->getMessage().'<br />
				N : '.$e->getCode() .'
			</div>
		</div>';
		return false;
	}
	$GLOBALS['db'] = $pdo;
    $GLOBALS['db']->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING );
	return true;
}

function getConfig()
{
	$req = $GLOBALS['db']->query("SELECT nom, valeur FROM ". PREFIX ."config");
	if($req)
    {
        $result = $req->fetchAll();
	
    	foreach($result as $setting)
    	{
    		$GLOBALS['setting'][''. $setting['nom'] .''] = $setting['valeur'];
    	}  
        
        return true;
    }
    else
    {
        return false;
    }
        
	
}

function dossier_ecrire($dossier)
 {
    if($dossier == '') return false;
    else
    {
        if (is_dir($dossier)) @chmod ($dossier, 0777); else return false;
		if (!is_writable($dossier)) return false; else return true;
    }
 }