<?php

class compteModel extends model
{
	public function getById($user_id = '')
	{
		if($user_id == '')
			$user_id = $_SESSION['utilisateur_id'];
			
		$req = $GLOBALS['db']->prepare("SELECT identifiant, email, nom, prenom, poste, photo, admin, date_anniversaire, alerte_stock FROM ". PREFIX ."utilisateur WHERE id = :user_id LIMIT 1");
		$req->bindParam('user_id', $user_id, PDO::PARAM_INT);
		$req->execute();
		$result = $req->fetch();
		$req->closeCursor();
		return $result;
	}
	
	public function getStat($user_id = '')
	{
		if($user_id == '')
			$user_id = $_SESSION['utilisateur_id'];
		
		$req = $GLOBALS['db']->prepare('
			SELECT identifiant,
				(SELECT COUNT(id) FROM '. PREFIX .'client WHERE user_add = :user_id) AS client_add,
				(SELECT COUNT(id) FROM '. PREFIX .'ticket WHERE user_id = :user_id) AS ticket_add,
				(SELECT COUNT(id) FROM '. PREFIX .'ticket WHERE user_attrib = :user_id) AS ticket_attrib
			FROM '. PREFIX .'utilisateur
			WHERE id = :user_id');
			$req->bindParam('user_id', $user_id, PDO::PARAM_INT);
			$req->execute();
			$result = $req->fetch();
			$req->closeCursor();
			return $result;
	}
	
	public function update($data, $user_id = '')
	{
		if($user_id == '')
			$user_id = $_SESSION['utilisateur_id'];
		
		$GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'utilisateur', ' id = '. $user_id));
	}
}