<?php

class indexModel
{
	public function getLastMotDuJour($limit = 1)
	{
		$req = $GLOBALS['db']->prepare('
			SELECT titre, texte, tu.identifiant, tmdj.date_ajout
			FROM '. PREFIX .'mot_du_jour tmdj
			LEFT JOIN '. PREFIX .'utilisateur tu
				ON tmdj.auteur_id = tu.id
			ORDER BY date_ajout DESC
			LIMIT :limit');
		$req->bindParam('limit', $limit, PDO::PARAM_INT);
		$req->execute();
		return $req->fetchAll();
	}
	
	public function getTicketByUserNonClos()
	{
		$req = $GLOBALS['db']->prepare("
			SELECT tt.id, titre, priorite, statut, tt.date_ajout, tc.nom, tc.prenom, tc.societe, ttc.nom as categorie
			FROM ". PREFIX ."ticket tt 
			LEFT JOIN ". PREFIX ."client tc ON tt.client_id = tc.id 
			LEFT JOIN ". PREFIX ."ticket_categorie ttc ON tt.categorie_id = ttc.id
			WHERE user_attrib = :user_id
			AND statut < 5
			ORDER BY priorite DESC");
		$req->bindParam('user_id', $_SESSION['utilisateur_id'], PDO::PARAM_INT);
		$req->execute();
		return $req->fetchAll();
	}
	
	public function getNewTicketNoAttrib()
	{
		$req = $GLOBALS['db']->prepare("
			SELECT tt.id, titre, priorite, statut, tt.date_ajout, tc.nom, tc.prenom, tc.societe, ttc.nom as categorie
			FROM ". PREFIX ."ticket tt 
			LEFT JOIN ". PREFIX ."client tc ON tt.client_id = tc.id 
			LEFT JOIN ". PREFIX ."ticket_categorie ttc ON tt.categorie_id = ttc.id
			WHERE (user_attrib = '' OR user_attrib = 0 OR user_attrib IS NULL)
			AND statut < 5
			ORDER BY tt.date_ajout DESC");
		$req->execute();
		return $req->fetchAll();
	}
}