<?php

class mdjModel
{
	public function getAll($limit = '')
	{
		$Query = '
		SELECT tmdj.id, titre, tmdj.date_ajout, tu.identifiant
			FROM '. PREFIX .'mot_du_jour tmdj
			LEFT JOIN '. PREFIX .'utilisateur tu
				ON tmdj.auteur_id = tu.id
			ORDER BY tmdj.date_ajout DESC ';
		if( is_numeric($limit) )
			$Query .= ' LIMIT '. $limit;
			
		$req = $GLOBALS['db']->prepare($Query);
		$req->execute();
		return $req->fetchAll();			
	}
	
	public function getById($mdj_id)
	{
		$req = $GLOBALS['db']->prepare('
			SELECT tmdj.id, titre, tmdj.date_ajout, tu.identifiant, texte
			FROM '. PREFIX .'mot_du_jour tmdj
			LEFT JOIN '. PREFIX .'utilisateur tu
				ON tmdj.auteur_id = tu.id
			WHERE tmdj.id = :mdj_id
			LIMIT 1');
		$req->bindParam('mdj_id', $mdj_id, PDO::PARAM_INT);
		$req->execute();
		$result = $req->fetch();
		$req->closeCursor();
		return $result;
	}
	
	public function add($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryInsert($data, PREFIX . 'mot_du_jour') ) )
			return true;
		else
			return false;
	}
	
	public function edit($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'mot_du_jour', " id = ". $data['id']) ) )
			return true;
		else
			return false;
	}
	
	public function delete($mdj_id)
	{
		if( $GLOBALS['db']->exec("DELETE FROM ". PREFIX ."mot_du_jour WHERE id = ". $mdj_id ."") )
			return true;
		else
			return false;
	}
}	