<?php

class compte extends controller
{
	protected $model;
	
	function __construct()
	{
		require_once IF_ROOT_PATH . 'model'. DS .'compte.php';
		$this->model = new compteModel();
		
		$this->getData();
	}
	
	function index()
	{
		$GLOBALS['smarty']->assign('utilisateur', $this->model->getById());
		$GLOBALS['smarty']->assign('stats', $this->model->getStat());
		return $GLOBALS['smarty']->fetch('compte_index.tpl');
	}
	
	public function edit()
	{
		$GLOBALS['smarty']->assign('utilisateur', $this->model->getById());
		return $GLOBALS['smarty']->fetch('compte_edit.tpl');
	}
	
	public function update()
	{
		if( !isset($this->data['update']) )
			exit;
			
		$GLOBALS['session']->checkCsrfPost();
		
		$data = $this->data['compte'];
		
		// Formatage date
		$tmp = explode('/', $data['date_anniversaire']);
		$data['date_anniversaire'] = $tmp[2].'-'.$tmp[1].'-'.$tmp[0];
		
		$this->model->update($data);
		
		return redirect(URL_SITE . 'index.php?c=compte',3,$GLOBALS['lang']['Informations_enregistrees']);
		
	}
	
	public function change_password()
	{
		return $GLOBALS['smarty']->fetch('compte_change_password.tpl');
	}
	
	public function update_password()
	{
		if( !isset($this->data['update']) )
			exit;
			
		$GLOBALS['session']->checkCsrfPost();
		
		$data = $this->data['compte'];
		
		// Verification
		if($data['password1'] == '' || $data['password2'] == '')
			exit;
			
		if($data['password1'] != $data['password2'])
			exit;
			
		$data['password'] = cryptPass($data['password1']);
		
		// Supression des champs
		unset($data['password1'], $data['password2']);
		
		$this->model->update($data);
		
		return redirect(URL_SITE . 'index.php?c=compte',3,$GLOBALS['lang']['Mot_de_passe_modifie']);
	}
}