<?php

require_once IF_ROOT_PATH . 'conf'. DS .'config.inc.php';

define('URL_SITE',$GLOBALS['setting']['url_site']);

$route = explode('/', $_SERVER['REQUEST_URI'] );

// Routage
if( isset($_GET['c']) )
    $routing['controller'] = $_GET['c'];
else
    $routing['controller'] = 'index';

if( isset($_GET['a']) )
    $routing['action'] = $_GET['a'];
else
    $routing['action'] = 'index';

$pdo = new PDO('mysql:host='. $basesql['serveur'] .';dbname='.$basesql['base'].'', $basesql['user'], $basesql['password']);
$pdo->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING );
$GLOBALS['db'] = $pdo;

/**
 * Parametrage smarty (template)
 */
require IF_ROOT_PATH . 'lib'. DS .'Smarty'. DS .'smarty.php';
$smarty->template_dir = 'view'.DS ;
$GLOBALS['smarty'] = $smarty;

// Appel fichier controller
require_once IF_ROOT_PATH . 'core'. DS . 'controller.php';
require_once IF_ROOT_PATH . 'core'. DS . 'model.php';

// Fichier de fonction
require_once IF_ROOT_PATH . 'core'. DS . 'functions_infogest.php';
require_once IF_ROOT_PATH . 'core'. DS . 'functions.php';
require_once IF_ROOT_PATH . 'core'. DS . 'functions_query.php';
require_once IF_ROOT_PATH . 'core'. DS . 'secure.php';
require_once IF_ROOT_PATH . 'core'. DS . 'functions_error.php';

// Recuperation de la config
getConfig();

/**
 * SESSION
 * */
 require_once IF_ROOT_PATH . 'core'. DS . 'Session.class.php';
// Declaration class
$GLOBALS['session'] = new Session();
// Supression des sessions inactives.
$GLOBALS['session']->delete_session_time();
// Verification de la sessions
if($routing['controller'] != 'login'):
    if( !$GLOBALS['session']->check() ):
        redirect($GLOBALS['setting']['url_site'].'index.php?c=login');
		//$_GET['c'] = 'login';
    endif;
endif; 

// Envoie des donnes de sessions  smarty
$GLOBALS['smarty']->assign('session', $_SESSION);

/**
 * Recuperation fichier lang
 * */
 // Appel du fichier
 require_once IF_ROOT_PATH . 'lang' . DS . 'french.php';
 // Envoye au template
 $GLOBALS['smarty']->assign('lang', $GLOBALS['lang']);

 // Verification si alerte non lu
if (isset($_SESSION['utilisateur_id']))
    getAlerteNotRead();
 