<?php

function sendEmail($data)
{
	$dir_class = IF_ROOT_PATH .'lib'. DS;

	// Inclusion class pour envoie email
	require_once $dir_class . 'class.phpmailer.php';
	
	// declaration de la classe
    $mail = new PHPMailer();
	
	// Traitement method d envoie
    if( $GLOBALS['setting']['mail_method'] == 'smtp' && $GLOBALS['setting']['smtp_server'] != '' ):
        // Parametrage pour utilisation SMTP
        $mail->IsSMTP();
        $mail->Host = $GLOBALS['setting']['smtp_server'];
        $mail->Port = $GLOBALS['setting']['smtp_port'];

        // Si champ identifiant et mdp smtp utilisation authentification
        if( $GLOBALS['setting']['smtp_login'] != '' && $GLOBALS['setting']['smtp_password'] != '' ):
            $mail->SMTPAuth = true;
            $mail->Username = $GLOBALS['setting']['smtp_login'];
            $mail->Password = $GLOBALS['setting']['smtp_password'];
        endif;

    endif;
	
	// Adresse de reponse et expediteur
	$mail->AddReplyTo($data['expediteur_email'], $data['expediteur']);
        $mail->SetFrom($data['expediteur_email'], $data['expediteur']);
	
	// Destinataire
	if( is_array($data['destinataire']) )
	{
		$mail->AddAddress($GLOBALS['setting']['email']);
		foreach($data['destinataire'] AS $k => $v)
		{
			//$mail->AddAddress($v, '');
			$mail->AddBCC($v, '');
		}
	}
	else
	{
		$mail->AddAddress($data['destinataire'],'');
	}
	
	// Sujet
	$mail->Subject = $data['sujet'];
	
	// On verifie que au moins un message est difnie.
	if( $data['message_html'] == '' && $data['message'] == '')
		return false;
	
	// Traitement du message
	if( $data['message_html'] != '' && $data['message'] != '')
	{
		// Email contenant un message en HTML et un alternatif sans code HTML
		$mail->AltBody = $data['message'];
		$mail->MsgHTML($data['message_html']);
	}
	elseif($data['message_html'] != '')
	{
		// On envoie juste un message HTML et un avertissement
		$mail->AltBody = 'This email is format HTML, you software not support this format'; 
		$mail->MsgHTML($data['message_html']);
	}
	elseif( $data['message'] != '' )
	{
		// Message simple
		$mail->Body = $data['message'];
	}
	else
	{
		// Message simple
		$mail->Body = $data['message'];
	}
	
	// Envoie
    if(!$mail->Send())
        return false;
    else
        return true;
}