<?php
class model
{
	public function updateAuth($data, $controller)
	{
		if( $GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'auth_'. $controller , " id = ". $data['id'] ." AND user_id = ". $data['user_id'])) )
			return true;
		else
			return false;
	}
	
	public function UpdateAuthByUser($utilisateur_id, $controller)
	{
		$GLOBALS['db']->exec("INSERT INTO ". PREFIX ."auth_". $controller . " (user_id) VALUES (". $utilisateur_id .")");
	}
	
	public function getAuthByUser($utilisateur_id, $controller)
	{
		$req = $GLOBALS['db']->prepare("SELECT * FROM ". PREFIX ."auth_". $controller . " WHERE user_id = :utilisateur_id");
		$req->bindParam('utilisateur_id', $utilisateur_id, PDO::PARAM_INT);
		$req->execute();
		
		// Recuperation du resultat
		$res = $req->fetch();
		
		// Fermeture du curseur
		$req->closeCursor();
		
		return $res;
	}
	
	public function add($data, $table)
	{
		if( $GLOBALS['db']->exec( CreateQueryInsert($data, $table) ))
			return true;
		else
			return false;
	}
    
    public function update($data, $table)
    {
        if( $GLOBALS['db']->exec( CreateQueryUpdate($data, $table, ' id = ' . $data['id'])))
            return true;
        else
            return false;
    }
    
    public function delete($id, $table)
    {
        $req = $GLOBALS['db']->prepare('DELETE FROM '. $table .' WHERE id = :id');
        $req->bindParam('id', $id, PDO::PARAM_INT);
        $req->execute();
    }
	
	public function getAll($table)
	{   
            $req = $GLOBALS['db']->query('SELECT t1.* FROM '. $table . ' t1');
            return $req->fetchAll();
	}
	
	public function getById($id, $table)
	{
		$req = $GLOBALS['db']->prepare('SELECT t1.* FROM '. $table .' t1 WHERE t1.id = :id LIMIT 1');
		$req->bindParam('id', $id,PDO::PARAM_INT);
		$req->execute();
		$result = $req->fetch();
		$req->closeCursor();
		return $result;
	}

    public function getNumberRow($table, $paramQuery)
    {
        $q = $GLOBALS['db']->query("SELECT COUNT(id) FROM ". $table . $paramQuery);
        $rows = $q->fetchColumn();
        $q->closeCursor();

        return $rows;
    }

    public function sendAlerte($alerte, $users)
    {
        $req = $GLOBALS['db']->prepare('INSERT INTO '. PREFIX .'alerte (controller, controller_id, titre, description, user_id) VALUES (:controller, :controller_id, :titre, :description, :user_id)');
        $req->bindParam('controller', $alerte['controller'], PDO::PARAM_STR);
        $req->bindParam('controller_id', $alerte['controller_id'], PDO::PARAM_INT);
        $req->bindParam('titre', $alerte['titre'], PDO::PARAM_STR);
        $req->bindParam('description', $alerte['description'], PDO::PARAM_STR);

        foreach($users AS $u)
        {
            $req->bindParam('user_id', $u['id'], PDO::PARAM_INT);
            $req->execute();
        }
    }


}
?>