<?php
if(!defined('IN_INSTALL')) EXIT;

// inclusion fichier de config
require_once IF_ROOT_PATH . 'conf'. DS . 'config.inc.php';

// On verifie que le fichier est bien remplie
if($basesql['serveur'] == '' || $basesql['base'] == '' || $basesql['user'] == '' || $GLOBALS['setting']['url_site'] == '')
{
	// Affichage message erreur
	echo'
	<span id="errorh"></span>
	<div id="error_msg">
	<div class="error_fatal" style="width:500px;margin:auto;padding:15px;">
		<img src="images/alert_icon_24.png" alt="" style="float:left;padding-right:6px;" /> 
		Le fichier de configuration n\'est pas complet. Veuillez le remplir afin de continuer l\'installation.
		<br/>
		<strong>Emplacement : conf/config.inc.php
	</div>
	<br />
	</div>
	<br/><br/>
	<div style="text-align:center;">
	<a href="#"><img src="images/refresh.png" style="border:none"/></a>
	</div>';
}
else
{
	// Verification des informations
	if( !connexion($basesql) )
	{
		// Affichage Erreur
		echo'
		<span id="errorh"></span>
		<div id="error_msg">
		<div class="error_fatal" style="width:500px;margin:auto;padding:15px;">
			<img src="images/alert_icon_24.png" alt="" style="float:left;padding-right:6px;" /> 
			Impossible de se connecter  la base SQL, veuillez verifier les informations
			<br/>
			<strong>Emplacement : conf/config.inc.php
		</div>
		<br />
		</div>
		<br/><br/>
		<div style="text-align:center;">
		<a href="index.php"><img src="images/refresh.png" style="border:none"/></a>
		</div>';
	}
	else
	{
		// Fichier de configuration complet
		// On test si install ou update
		getConfig();
		
		if( isset($GLOBALS['setting']['version']) )
		{
			// Mise  jour
            echo '<p>Bienvenu sur le script de mise  jour d\'immophp</p>
			<p>Avant de commencer la mise  jour assurer vous d\'avoir une sauvegarde recente</p>
			<form method="post" action="index.php?page=update_part1">
			<p><input type="checkbox" name="check_backup" /> Je certifie avoir sauvegarde ma base de donnees</p>
			<input type="submit" name="part1" value="Commencer la mise  jour" />
			</form>';
		}
		else
		{
			//Installation
			echo '
				<p>Bienvenu sur le script d\'installation d\'immophp<p>
				<p>Pour commencer l\'installation cliquer sur le bouton ci-dessous</p>
				<form method="post" action="index.php?page=install_part1">
				<input type="submit" name="part1" value="Commencer l\'installation" />
				</form>
			';
		}
	}	
}
?>


