<?php
$query[] = "
CREATE TABLE ". PREFIX ."prospect (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
nom VARCHAR( 200 ) NOT NULL ,
prenom VARCHAR( 200 ) NOT NULL ,
societe VARCHAR( 200 ) NOT NULL ,
contact TEXT NOT NULL ,
adresse TEXT NOT NULL ,
code_postal VARCHAR( 50 ) NOT NULL ,
ville VARCHAR( 200 ) NOT NULL ,
pays VARCHAR( 200 ) NOT NULL ,
telephone VARCHAR( 30 ) NOT NULL ,
portable VARCHAR( 30 ) NOT NULL ,
fax VARCHAR( 30 ) NOT NULL ,
email VARCHAR( 200 ) NOT NULL ,
site_web VARCHAR( 200 ) NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
user_add INT NOT NULL ,
client_id INT NOT NULL DEFAULT '0',
categorie_id INT NOT NULL DEFAULT '0'
) ENGINE = MYISAM ;";

$query[] = "ALTER TABLE ". PREFIX ."client ADD parent_id INT NOT NULL DEFAULT '0';";

$query[] = "
CREATE TABLE ". PREFIX ."prospect_methode_contact (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
nom VARCHAR( 200 ) NOT NULL ,
description TEXT NOT NULL ,
photo VARCHAR( 200 ) NOT NULL
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."prospection (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
methode_id INT NOT NULL DEFAULT '0',
description TEXT NOT NULL ,
prospect_id INT NOT NULL DEFAULT '0',
client_id INT NOT NULL DEFAULT '0',
user_id INT NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."prospect_suivi (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
prospect_id INT NOT NULL ,
user_id INT NOT NULL ,
suivi TEXT NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."auth_prospect (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
user_id INT NOT NULL ,
ajout INT( 1 ) NOT NULL DEFAULT '1',
modif INT NOT NULL DEFAULT '1',
del INT NOT NULL DEFAULT '0'
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."tache (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
user_id INT NOT NULL ,
controller VARCHAR( 100 ) NOT NULL ,
controller_id INT NOT NULL ,
action TEXT NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "ALTER TABLE ". PREFIX ."tache ADD realise INT NOT NULL DEFAULT '0'";

$query[] = "
CREATE TABLE ". PREFIX ."fournisseur (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
numero VARCHAR( 50 ) NOT NULL ,
categorie_id INT NOT NULL ,
nom VARCHAR( 150 ) NOT NULL ,
adresse VARCHAR( 250 ) NOT NULL ,
code_postal VARCHAR( 50 ) NOT NULL ,
ville VARCHAR( 200 ) NOT NULL ,
pays VARCHAR( 150 ) NOT NULL ,
telephone_1 VARCHAR( 25 ) NOT NULL ,
telephone_2 VARCHAR( 25 ) NOT NULL ,
fax VARCHAR( 25 ) NOT NULL ,
email VARCHAR( 200 ) NOT NULL ,
site_internet VARCHAR( 200 ) NOT NULL ,
siret VARCHAR( 60 ) NOT NULL ,
rcs VARCHAR( 60 ) NOT NULL ,
numero_tva VARCHAR( 60 ) NOT NULL ,
capital VARCHAR( 60 ) NOT NULL ,
forme_juridique VARCHAR( 200 ) NOT NULL
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."fournisseur_categorie (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
nom VARCHAR( 100 ) NOT NULL ,
description TEXT NOT NULL ,
photo VARCHAR( 200 ) NOT NULL
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."fournisseur_commercial (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
fournisseur_id INT NOT NULL ,
nom VARCHAR( 100 ) NOT NULL ,
prenom VARCHAR( 100 ) NOT NULL ,
telephone VARCHAR( 20 ) NOT NULL ,
portable VARCHAR( 20 ) NOT NULL ,
email VARCHAR( 150 ) NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."auth_fournisseur (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
user_id INT NOT NULL ,
voir INT( 1 ) NOT NULL DEFAULT '0',
ajout INT( 1 ) NOT NULL DEFAULT '0',
modif INT( 1 ) NOT NULL DEFAULT '0',
del INT( 1 ) NOT NULL DEFAULT '0'
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."produit (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
categorie_id INT NOT NULL ,
reference VARCHAR( 50 ) NOT NULL ,
nom VARCHAR( 200 ) NOT NULL ,
description TEXT NOT NULL ,
tva INT( 2 ) NOT NULL ,
prix_vente FLOAT NOT NULL ,
photo VARCHAR( 150 ) NOT NULL ,
stock_alerte INT( 10 ) NOT NULL ,
stock_critique INT( 10 ) NOT NULL ,
stock INT NOT NULL DEFAULT '0',
poid VARCHAR( 10 ) NOT NULL ,
longueur VARCHAR( 10 ) NOT NULL ,
largeur VARCHAR( 10 ) NOT NULL ,
constructeur VARCHAR( 200 ) NOT NULL
) ENGINE = MYISAM ;";

$query[] = "
ALTER TABLE ". PREFIX ."produit ADD poid_unite VARCHAR( 30 ) NOT NULL ,
ADD longueur_unite VARCHAR( 30 ) NOT NULL ,
ADD largeur_unite VARCHAR( 30 ) NOT NULL";

$query[] = "
CREATE TABLE ". PREFIX ."produit_fournisseur (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
produit_id INT NOT NULL ,
fournisseur_id INT NOT NULL ,
prix FLOAT NOT NULL ,
reference VARCHAR( 100 ) NOT NULL
) ENGINE = MYISAM ;";

$query[] = "ALTER TABLE ". PREFIX ."produit_fournisseur ADD quantite INT NOT NULL";

$query[] = "CREATE TABLE ". PREFIX ."produit_entre (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
produit_id INT NOT NULL ,
user_id INT NOT NULL ,
quantite FLOAT NOT NULL ,
raison TEXT NOT NULL ,
date_entre TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."produit_sortie (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
produit_id INT NOT NULL ,
user_id INT NOT NULL ,
quantite FLOAT NOT NULL ,
raison TEXT NOT NULL ,
date_sortie TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = MYISAM ;";

$query[] = "
CREATE TABLE ". PREFIX ."auth_produit (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
user_id INT NOT NULL ,
ajout INT( 1 ) NOT NULL DEFAULT '0',
modif INT( 1 ) NOT NULL DEFAULT '0',
del INT( 1 ) NOT NULL DEFAULT '0',
voir_prix_vente INT( 1 ) NOT NULL DEFAULT '0',
voir_prix_achat INT( 1 ) NOT NULL DEFAULT '0',
ajout_entree INT( 1 ) NOT NULL DEFAULT '0',
ajout_sortie INT( 1 ) NOT NULL DEFAULT '1'
) ENGINE = MYISAM ;";

$query[] = "ALTER TABLE ". PREFIX ."utilisateur ADD alerte_stock INT( 1 ) NOT NULL DEFAULT '0'";

$query[] = "
CREATE TABLE ". PREFIX ."alerte (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
user_id INT NOT NULL ,
controller VARCHAR( 100 ) NOT NULL ,
controller_id INT NOT NULL ,
titre VARCHAR( 150 ) NOT NULL ,
description TEXT NOT NULL ,
date_ajout TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
lu INT( 1 ) NOT NULL DEFAULT '0'
) ENGINE = MYISAM ;";

$query[] = "ALTER TABLE ". PREFIX ."fournisseur ADD numero_client VARCHAR( 50 ) NOT NULL";

$query[] = "ALTER TABLE ". PREFIX ."client ADD siret VARCHAR( 100 ) NOT NULL ,
ADD numero_tva VARCHAR( 100 ) NOT NULL ,
ADD rcs VARCHAR( 100 ) NOT NULL ,
ADD type INT( 2 ) NOT NULL"; 

$query[] = "
CREATE TABLE IF NOT EXISTS ". PREFIX ."produit_categorie (
  id int(11) NOT NULL AUTO_INCREMENT,
  parent_id int(11) NOT NULL DEFAULT '0',
  nom varchar(255) NOT NULL,
  description text NOT NULL,
  photo varchar(200) NOT NULL,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;";

// Mise a jour version
$query[] = "UPDATE ". PREFIX ."config SET valeur = '2.20101011' WHERE nom = 'version' ";