<?php

class ticketAdminModel
{
	/**
	*	@desc Recupere la liste des catgories
	*	@return array
	* */
	public function getAllCategorie()
	{
		$req = $GLOBALS['db']->prepare("SELECT * FROM ". PREFIX ."ticket_categorie ORDER BY nom");
		$req->execute();
		return $req->fetchAll();
	}
	
	public function getCategorieById($id)
	{
		$req = $GLOBALS['db']->prepare('SELECT * FROM '. PREFIX .'ticket_categorie WHERE id = :categorie_id LIMIT 1');
		$req->bindParam('categorie_id', $id, PDO::PARAM_INT);
		$req->execute();
		$result = $req->fetch();
		$req->closeCursor();
		return $result;
	}
	
	public function categorie_add($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryInsert($data, PREFIX . 'ticket_categorie') ) )
			return true;
		else
			return false;
	}
	
	public function categorie_edit($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'ticket_categorie', " id = '". $data['id'] ."'") ) )
			return true;
		else
			return false;
	}
	
	public function categorie_delete($id)
	{
		$req = $GLOBALS['db']->prepare('DELETE FROM '. PREFIX .'ticket_categorie WHERE id = :categorie_id');
        $req->bindParam('categorie_id', $id, PDO::PARAM_INT);
		
        if($req->execute())
			return true;
		else
			return false;
	}
	
	public function getAuthByUser($utilisateur_id)
	{
		$req = $GLOBALS['db']->prepare("SELECT * FROM ". PREFIX ."auth_ticket WHERE user_id = :utilisateur_id");
		$req->bindParam('utilisateur_id', $utilisateur_id, PDO::PARAM_INT);
		$req->execute();
		
		// Recuperation du resultat
		$res = $req->fetch();
		
		// Fermeture du curseur
		$req->closeCursor();
		
		return $res;
	}
	
	public function UpdateAuthByUser($utilisateur_id)
	{
		$GLOBALS['db']->exec("INSERT INTO ". PREFIX ."auth_ticket (user_id) VALUES (". $utilisateur_id .")");
	}
	
	public function updateAuth($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'auth_ticket', " id = ". $data['id'] ." AND user_id = ". $data['user_id'])) )
			return true;
		else
			return false;
	}
	
	public function getAllInterventionType()
	{
		$req = $GLOBALS['db']->prepare("SELECT * FROM ". PREFIX ."ticket_intervention_type ORDER BY nom");
		$req->execute();
		return $req->fetchAll();
	}
	
	public function intervention_type_add($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryInsert($data, PREFIX . 'ticket_intervention_type') ) )
			return true;
		else
			return false;
	}
	
	public function intervention_type_edit($data)
	{
		if( $GLOBALS['db']->exec( CreateQueryUpdate($data, PREFIX . 'ticket_intervention_type', " id = '". $data['id'] ."'") ) )
			return true;
		else
			return false;
	}
	
	public function intervention_type_delete($id)
	{
		$req = $GLOBALS['db']->prepare('DELETE FROM '. PREFIX .'ticket_intervention_type WHERE id = :type_id');
        $req->bindParam('type_id', $id, PDO::PARAM_INT);
		
        if($req->execute())
			return true;
		else
			return false;
	}
	
	public function getInterventionTypeById($id)
	{
		$req = $GLOBALS['db']->prepare('SELECT * FROM '. PREFIX .'ticket_intervention_type WHERE id = :type_id LIMIT 1');
		$req->bindParam('type_id', $id, PDO::PARAM_INT);
		$req->execute();
		$result = $req->fetch();
		$req->closeCursor();
		return $result;
	}
}
?>